Bug 129248 - gnbd does not check that gulm is quorate on startup
gnbd does not check that gulm is quorate on startup
Status: CLOSED WORKSFORME
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-05 11:05 EDT by Adam "mantis" Manthei
Modified: 2010-01-11 21:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 11:33:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam "mantis" Manthei 2004-08-05 11:05:07 EDT
Description of problem:
GNBD, for the most part, relies upon GULM to handle cluster membership
and fencing.  If it is going to do that, it needs to wait until GULM
is in a quorate state on startup to ensure that in the event of a node
failure that it is properlly fenced.  Without gulm in a quorate state,
the GNBD resources can start up in a split brain scenario which could
lead to data loss or corruption.

Version-Release number of selected component (if applicable):
GFS-modules-smp-6.0.0-1.2; GFS-6.0.0-1.2


How reproducible:
Always

Steps to Reproduce:
1. Start lock_gulmd only on a single node
2. Start gnbd_export 
3.
  
Actual results:
gnbd_export is able to export block devices in non-cached mode

Expected results:
gnbd_export should wait until GULM is quorate before it allows block
devices to be exported

Additional info:
Comment 1 Ben Marzinski 2005-01-13 11:33:09 EST
We decided that the init scripts were an acceptable way to solve this
bug for this release, so I'm closing it out.

Note You need to log in before you can comment on or make changes to this bug.